## Button

An html button tag with formatting.

You can use any other key that are not named here. Those keys will be rendered as additional html attributes without modification.
button

![Button](../images/examples_button.png)

### Syntax

```php
$renderAdminLTE->getButton($aOptions);
```

### Return

{string} html code

### Parameters

* $aOptions - {array} options to describe the element

Styling:

Key      | Description
---      | ---
class    | optional: additional css classes
size     | set size of the button; one of<br>- [empty]<br>- "lg"<br>- "sm"<br>- "xs"<br>- "flat"
type     | one of<br>- [empty]<br>- "danger"<br>- "dark"<br>- "info"<br>- "primary"<br>- "secondary"<br>- "success"<br>- "warning"

Content:

Key      | Description
---      | ---
text     | visible text

### Example

```php
$renderAdminLTE->getButton([
        'class'=>'primary',
        'text'=>'Click me',
        'onclick'=>'alert(\'Hello!\');'
    ]);
```
